## fakepop 10

=== Makefile ===
# $Id: Makefile,v 1.6 2004/12/04 18:54:21 pzn Exp $

GLIB_CFLAGS  = $(shell pkg-config --cflags glib-2.0)
GLIB_LDFLAGS = $(shell pkg-config --libs glib-2.0)
CFLAGS       = -D_GNU_SOURCE -Wall -O2 $(GLIB_CFLAGS)
LDFLAGS      = $(GLIB_LDFLAGS)

all: fakepop

clean:
	rm -f *.o *~

distclean: clean
	rm -f fakepop install.tgz fakepop-src.tgz

fakepop: fakepop.o header.o id.o msg.o retrieve.o

dirs:
	install -d -o root -g root -m 0755 $(DESTDIR)/etc/fakepop
	install -d -o root -g root -m 0755 $(DESTDIR)/usr/sbin
	install -d -o root -g root -m 0755 $(DESTDIR)/usr/share/man/man8
	install -d -o root -g root -m 0755 $(DESTDIR)/usr/share/doc/fakepop/examples

install: all dirs
	install -o root -g root -m 0755 fakepop $(DESTDIR)/usr/sbin/in.fakepop
	set -e; for i in README.*; do \
	  install -o root -g root -m 0644 $$i $(DESTDIR)/usr/share/doc/fakepop/examples; \
	done
	umask 022; echo "Please read /usr/share/doc/fakepop/examples/README.config for configuration instructions." > $(DESTDIR)/etc/fakepop/README
	install -o root -g root -m 0644 COPYRIGHT $(DESTDIR)/usr/share/doc/fakepop/copyright
	install -o root -g root -m 0644 in.fakepop.8 $(DESTDIR)/usr/share/man/man8
	gzip -9 $(DESTDIR)/usr/share/man/man8/in.fakepop.8
	cd $(DESTDIR)/usr/share/man/man8/; ln -s in.fakepop.8.gz fakepop.8.gz

tgz-aux:
	make install DESTDIR=`pwd`/install-tmp
	cd install-tmp; tar -zcvf ../install.tgz *
	rm -rf install-tmp

tgz: all
	rm -rfv install.tgz install-tmp
	mkdir install-tmp
	fakeroot make tgz-aux

src-tgz: distclean
	tar -zcvf fakepop-src.tgz `find . -type f | grep -v CVS | sort`

## fakepop 7

=== debian/changelog ===
fakepop (7) unstable; urgency=low

  * Initial Release.
  * First package upload, closing ITP. (closes: #283751)

 -- Pedro Zorzenon Neto <pzn@debian.org>  Wed,  1 Dec 2004 15:26:45 -0200

=== debian/control ===
Source: fakepop
Section: mail
Priority: extra
Maintainer: Pedro Zorzenon Neto <pzn@debian.org>
Build-Depends: debhelper (>= 4.0.0), pkg-config, libglib2.0-dev
Standards-Version: 3.6.1

Package: fakepop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: fake pop3 daemon. delivers same messages to all users
 fakepop is a fake pop3 daemon. It returns always the same messages
 to all users, it does not care about usernames and passwords. All
 user/pass combinations are accepted.
 .
 The main purpose of fakepop is to advice users that your server
 only accepts pop3-ssl and they have wrongly configured pop3 without
 ssl. You can customize messages in /etc/fakepop/ directory to teach
 your users how they should configure their mail clients to use
 pop3-ssl instead of pop3.
 .
 WARNING: some pop3-ssl daemons require a pop3 non-ssl package to be
 installed. That is why fakepop does not conflicts with pop3-server.
 courier-pop-ssl is one of this packages (it requires  courier-pop).
 Before instaling fakepop, be sure to disable other pop3 daemons.
 For courier, set POP3DSTART=NO in /etc/courier/pop3d

## fakepop 8

=== debian/changelog ===
fakepop (8) unstable; urgency=low

  * Bugfix: added "\r\n" to output of POP command LIST.
    Thanks to Robert L Mathews (closes: #340170)

 -- Pedro Zorzenon Neto <pzn@debian.org>  Mon, 21 Nov 2005 13:35:51 -0200

## fakepop 9

=== debian/changelog ===
fakepop (9) unstable; urgency=low

  * fixed spelling mistake in package description. (closes: #363404)
  * upgraded debian standards version to 3.7.2
  * bugfix - msg.c - msg_exists was being called without args

 -- Pedro Zorzenon Neto <pzn@debian.org>  Wed, 15 Nov 2006 19:14:38 -0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: extra
 Maintainer: Pedro Zorzenon Neto <pzn@debian.org>
 Build-Depends: debhelper (>= 4.0.0), pkg-config, libglib2.0-dev
-Standards-Version: 3.6.1
+Standards-Version: 3.7.2
 
 Package: fakepop
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, netbase (<< 4.27) | update-inetd
 Description: fake pop3 daemon. delivers same messages to all users
  fakepop is a fake pop3 daemon. It returns always the same messages
  to all users, it does not care about usernames and passwords. All
@@ -21,6 +21,6 @@
  .
  WARNING: some pop3-ssl daemons require a pop3 non-ssl package to be
  installed. That is why fakepop does not conflicts with pop3-server.
- courier-pop-ssl is one of this packages (it requires  courier-pop).
- Before instaling fakepop, be sure to disable other pop3 daemons.
+ courier-pop-ssl is one of this packages (it requires courier-pop).
+ Before installing fakepop, be sure to disable other pop3 daemons.
  For courier, set POP3DSTART=NO in /etc/courier/pop3d

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/fakepop


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples README.*
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_makeshlibs
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## fakepop 10

=== debian/changelog ===
fakepop (10) unstable; urgency=low

  * fixed dependency on update-inetd
  * msg.c, in function 'msg_getsize', fixed compile warning

 -- Pedro Zorzenon Neto <pzn@debian.org>  Sun, 29 Jul 2007 12:19:08 -0300

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: mail
 Priority: extra
 Maintainer: Pedro Zorzenon Neto <pzn@debian.org>
-Build-Depends: debhelper (>= 4.0.0), pkg-config, libglib2.0-dev
+Build-Depends: debhelper (>= 4.0.0), libglib2.0-dev
 Standards-Version: 3.7.2
 
 Package: fakepop
 Architecture: any
-Depends: ${shlibs:Depends}, netbase (<< 4.27) | update-inetd
+Depends: ${shlibs:Depends}, inet-superserver
 Description: fake pop3 daemon. delivers same messages to all users
  fakepop is a fake pop3 daemon. It returns always the same messages
  to all users, it does not care about usernames and passwords. All

=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,7 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
-	-$(MAKE) clean
+	[ ! -f Makefile ] || $(MAKE) clean
 
 	dh_clean

## fakepop 10ubuntu1

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 GLIB_CFLAGS  = $(shell pkg-config --cflags glib-2.0)
 GLIB_LDFLAGS = $(shell pkg-config --libs glib-2.0)
 CFLAGS       = -D_GNU_SOURCE -Wall -O2 $(GLIB_CFLAGS)
-LDFLAGS      = $(GLIB_LDFLAGS)
+LDLIBS       = $(GLIB_LDFLAGS)
 
 all: fakepop

=== debian/changelog ===
fakepop (10ubuntu1) natty; urgency=low

  * Makefile: Use LDLIBS instead of LDFLAGS to specify libraries for
    linking. Fixes FTBFS with --as-needed.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Sat, 18 Dec 2010 17:43:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: fakepop
 Section: mail
 Priority: extra
-Maintainer: Pedro Zorzenon Neto <pzn@debian.org>
+XSBC-Original-Maintainer: Pedro Zorzenon Neto <pzn@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper (>= 4.0.0), libglib2.0-dev
 Standards-Version: 3.7.2

## fakepop 11

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 	  install -o root -g root -m 0644 $$i $(DESTDIR)/usr/share/doc/fakepop/examples; \
 	done
 	umask 022; echo "Please read /usr/share/doc/fakepop/examples/README.config for configuration instructions." > $(DESTDIR)/etc/fakepop/README
-	install -o root -g root -m 0644 COPYRIGHT $(DESTDIR)/usr/share/doc/fakepop/copyright
+#	install -o root -g root -m 0644 COPYRIGHT $(DESTDIR)/usr/share/doc/fakepop/copyright
 	install -o root -g root -m 0644 in.fakepop.8 $(DESTDIR)/usr/share/man/man8
 	gzip -9 $(DESTDIR)/usr/share/man/man8/in.fakepop.8
 	cd $(DESTDIR)/usr/share/man/man8/; ln -s in.fakepop.8.gz fakepop.8.gz

=== debian/changelog ===
fakepop (11) unstable; urgency=low

  * Fixed a fail-to-build-from-source bug. Thanks to Stefan Potyra
    for reporting it. (closes: #607457)
  * Fixed a typo in description. Thanks to Pascal De Vuyst for
    reporting it. (closes: #557466)
  * Changed #include for compatibility with new glib version. Thanks
    to Michael Biebl for reporting it. (closes: #665524)
  * Upgraded dh_version and standards-version.

 -- Pedro Zorzenon Neto <pzn@debian.org>  Sat, 24 Mar 2012 22:02:57 -0300

=== debian/control ===
Source: fakepop
Section: mail
Priority: extra
Maintainer: Pedro Zorzenon Neto <pzn@debian.org>
Build-Depends: debhelper (>= 8.0.0), libglib2.0-dev
Standards-Version: 3.9.3

Package: fakepop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, openbsd-inetd |
 inet-superserver
Description: fake pop3 daemon. delivers same messages to all users
 fakepop is a fake pop3 daemon. It returns always the same messages
 to all users, it does not care about usernames and passwords. All
 user/pass combinations are accepted.
 .
 The main purpose of fakepop is to advice users that your server
 only accepts pop3-ssl and they have wrongly configured pop3 without
 ssl. You can customize messages in /etc/fakepop/ directory to teach
 your users how they should configure their mail clients to use
 pop3-ssl instead of pop3.
 .
 WARNING: some pop3-ssl daemons require a pop3 non-ssl package to be
 installed. That is why fakepop does not conflicts with pop3-server.
 courier-pop-ssl is one of these packages (it requires courier-pop).
 Before installing fakepop, be sure to disable other pop3 daemons.
 For courier, set POP3DSTART=NO in /etc/courier/pop3d

=== debian/rules ===
--- 
+++ 
@@ -26,8 +26,9 @@
 	touch configure-stamp
 
 
-build: build-stamp
-
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp: configure-stamp 
 	dh_testdir
 	$(MAKE)
@@ -44,7 +45,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/fakepop
